Bug 497690 - (perl-HTML-GenToc) Review Request: perl-HTML-GenToc - Generate a Table of Contents for HTML documents
Review Request: perl-HTML-GenToc - Generate a Table of Contents for HTML docu...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/HTML-GenToc/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 04:37 EDT by Iain Arnell
Modified: 2009-05-12 00:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.10-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-03 05:56:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-26 04:37:10 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-HTML-GenToc.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-HTML-GenToc-3.10-1.fc12.src.rpm

Description:
HTML::GenToc generates anchors and a table of contents for HTML documents.
Depending on the arguments, it will insert the information it generates, or
output to a string, a separate file or STDOUT.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1321091

*rt-0.07
Comment 1 Chris Weyl 2009-04-27 21:40:03 EDT
Looks good to me.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1321091

Spec looks sane, clean and consistent; license is correct (GPLv2+);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
37fc0632800c1f0965e564f2ed1084e3550d3055 HTML-GenToc-3.10.tar.gz
37fc0632800c1f0965e564f2ed1084e3550d3055 HTML-GenToc-3.10.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-HTML-GenToc-3.10-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-HTML-GenToc-3.10-1.fc10.src.rpm
====> requires for perl-HTML-GenToc-3.10-1.fc10.src.rpm
perl(Getopt::ArgvFile) >= 1.09
perl(HTML::Entities)  
perl(HTML::LinkList) >= 0.1501
perl(HTML::SimpleParse) >= 0.1
perl(Module::Build)  
perl(Test::Distribution)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

=====> perl-HTML-GenToc-3.10-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-HTML-GenToc-3.10-1.fc10.noarch.rpm
perl(HTML::GenToc) = 3.10
perl-HTML-GenToc = 3.10-1.fc10
====> requires for perl-HTML-GenToc-3.10-1.fc10.noarch.rpm
perl(Data::Dumper)  
perl(Getopt::ArgvFile)  
perl(Getopt::Long) >= 2.34
perl(HTML::Entities)  
perl(HTML::GenToc)  
perl(HTML::LinkList)  
perl(HTML::SimpleParse)  
perl(:MODULE_COMPAT_5.10.0)  
perl(Pod::Usage)  
perl(strict)  
perl(vars)  
/usr/bin/env  

APPROVED
Comment 2 Iain Arnell 2009-04-28 01:59:39 EDT
New Package CVS Request
=======================
Package Name: perl-HTML-GenToc
Short Description: Generate a Table of Contents for HTML documents
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-28 23:11:44 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-03 05:54:47 EDT
perl-HTML-GenToc-3.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-HTML-GenToc-3.10-1.fc11
Comment 5 Fedora Update System 2009-05-03 05:54:52 EDT
perl-HTML-GenToc-3.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-HTML-GenToc-3.10-1.fc10
Comment 6 Fedora Update System 2009-05-11 23:57:34 EDT
perl-HTML-GenToc-3.10-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-05-12 00:12:54 EDT
perl-HTML-GenToc-3.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.